Package edu.wisc.game.engine

## Class EligibilityForOrders

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​BitSet>
    - - edu.wisc.game.engine.EligibilityForOrders

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​BitSet>`

      public class EligibilityForOrders
      extends HashMap<String,​BitSet>

  At present, pieces in which cells are eligible for picking under each of the existing orders? (For example, which pieces are presently in the topmost occupied row? Which piece is the first in the English reading order?) This structure needs to be updated every time a piece is removed from the board.

  This is an auxiliary class for edu.wisc.game.sql.Episode.

  The key to the hash map is the name of the order; the value is a bitset with 37 bit positions, one per cell (plus an empty one at zero)

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EligibilityForOrders​(RuleSet rules, BitSet onBoard)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### EligibilityForOrders

          public EligibilityForOrders​(RuleSet rules,
                                      BitSet onBoard)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `AbstractMap<String,​BitSet>`